#!/bin/ash

[ -e /tmp/pinstall-skip ] && exit
[ -e /tmp/pinstall-trace ] && set -x && exec 2>/tmp/debug.log >&2

if [ "$PWD" = '/' ]; then
    
    #Remove /etc/rc.d/rc.network_pwf_stop
    [ -f etc/rc.d/rc.network_pwf_stop ] \
      && rm -f etc/rc.d/rc.network_pwf_stop

    # Move aside any residual network monitor .desktop files.
    [ -f root/.config/autostart/connman-ui-gtk.desktop ] \
      && mkdir -p root/.config/autostart/disabled \
      && mv -f root/.config/autostart/connman-ui-gtk.desktop root/.config/autostart/disabled/
    [ -f root/.config/autostart/netmon_wce.desktop ] \
      && mkdir -p root/.config/autostart/disabled \
      && mv -f root/.config/autostart/netmon_wce.desktop root/.config/autostart/disabled/

    [ -e etc/xdg/autostart/connman-ui-gtk.desktop ] \
      && mv -f etc/xdg/autostart/connman-ui-gtk.desktop \
      etc/xdg/autostart/connman-ui-gtk.desktop_for_conwiz_uninstall
    [ -e etc/xdg/autostart/netmon_wce.desktop ] \
      && mv -f etc/xdg/autostart/netmon_wce.desktop \
      etc/xdg/autostart/netmon_wce.desktop_for_conwiz_uninstall

    # Deactivate original net connection switcher.
    if [ -e usr/bin/net_connect_switcher ]; then
        chmod a-x usr/bin/net_connect_switcher
        mv -f usr/share/applications/Internet-Connection-Switcher.desktop usr/share/applications/Internet-Connection-Switcher.desktop_for_conwiz_uninstall
    fi

    #Ensure correct connman name as current network manager.
    grep -qs 'connman-gtk.sh' root/.connectwizardrc \
      && echo 'CURRENT_EXEC=connman-gtk' > root/.connectwizardrc

    # Set up connman adjustments as done at boot-up.
    if [ ! -f /root/.connectwizardrc ];then
        CURRENT_EXEC='connectwizard' #for this script only, not saved
        [ -x /etc/init.d/rc.network-start ] && CURRENT_EXEC='peasywifi'
        [ -x /etc/init.d/connman ] && CURRENT_EXEC='connman-gtk'
        echo "CURRENT_EXEC=$CURRENT_EXEC" > /root/.connectwizardrc
        sync #for read by connetwizardwrapper
    fi
    connectwizard_wrapper

    # Set symlinks for SNS & netwiz in older distros.
    [ ! -f /usr/local/simple_network_setup/rc.snsnetwork ] \
      && [ -f /usr/local/simple_network_setup/rc.network ] \
      && ln -sn rc.network /usr/local/simple_network_setup/rc.snsnetwork
    [ ! -f /usr/local/network-wizard/rc.wiznetwork ] \
      && [ -f /usr/local/network-wizard/rc.network ] \
      && ln -sn rc.network /usr/local/network-wizard/rc.wiznetwork

    fixmenus
fi
