#!/bin/ash

# Reactivate original net connection switcher & restore its desktop file.
[ -e /usr/bin/net_connect_switcher ] \
  && chmod a+x /usr/bin/net_connect_switcher
[ -e /usr/share/applications/Internet-Connection-Switcher.desktop_for_conwiz_uninstall ] \
  && mv -f /usr/share/applications/Internet-Connection-Switcher.desktop_for_conwiz_uninstall /usr/share/applications/Internet-Connection-Switcher.desktop

# Remove link to network monitor menu entries
rm -f /etc/xdg/autostart/netmon.desktop

# Restore autostart setup.
[ -f /etc/xdg/autostart/connman-ui-gtk.desktop_for_conwiz_uninstall ] \
  && mv -f /etc/xdg/autostart/connman-ui-gtk.desktop_for_conwiz_uninstall \
    /etc/xdg/autostart/connman-ui-gtk.desktop
[ -f /etc/xdg/autostart/netmon_wce.desktop_for_conwiz_uninstall ] \
  && mv -f /etc/xdg/autostart/netmon_wce.desktop_for_conwiz_uninstall \
    /etc/xdg/autostart/netmon_wce.desktop

# Restore legacy autostart setup.
[ -f /root/.config/autostart/disabled/connman-ui-gtk.desktop ] \
  && mv -f /root/.config/autostart/disabled/connman-ui-gtk.desktop /root/.config/autostart/
[ -f /root/.config/autostart/disabled/netmon_wce.desktop ] \
  && mv -f /root/.config/autostart/disabled/netmon_wce.desktop /root/.config/autostart/
rmdir --ignore-fail-on-non-empty /root/.config/autostart/disabled 2>/dev/null

# Compensate for internet connection switcher not changing init-script permissions, ensure that it is enabled and current manager set to connman.
sync #Ensure .desktop detectable
if [ -e /usr/share/applications/Internet-Connection-Switcher.desktop ] \
  && [ -f /etc/init.d/connman ]; then
    if [ -x /etc/init.d/connman ]; then
        rm -f /etc/xdg/autostart/netmon_wce.desktop
    else
        killall -q netmon_wce
        chmod a+x /etc/init.d/connman
    fi
fi

#Restore original name of connman script.
CONNMANPATH="$(which connman-gtk.sh)"
[ -n "$CONNMANPATH" ] \
  && mv -f "$CONNMANPATH" "${CONNMANPATH%.sh}"

#Restore /etc/rc.d/rc.network_pwf_stop
[ -f /initrd/pup_ro2/etc/rc.d/rc.network_pwf_stop ] \
  && mv /initrd/pup_ro2/etc/rc.d/rc.network_pwf_stop /etc/rc.d/rc.network_pwf_stop
